# Search for cloud objects Endpoint: POST /cloud-object-searches Version: 2.0.0 Security: bearerToken ## Request fields (application/json): - `cloudConnectionId` (string, required) The unique ID for the [CloudConnection](#tag/Cloud-Connections) to search in Example: "e2b03444-8c5d-44ed-bd9f-7eee882bdf81" - `criterion` (any, required) - `pageSize` (integer) The maximum number of items to return in the result set Example: 100 - `pageToken` (string,null) The page token to continue a previous search Example: "hds7bs78bbw7v8w" ## Response 200 fields (application/json): - `results` (array, required) The specified page of [CloudObject] resources which match the search criterion - `nextPage` (object,null) - `nextPage.cloudConnectionId` (string, required) The unique ID for the [CloudConnection](#tag/Cloud-Connections) to search in Example: "e2b03444-8c5d-44ed-bd9f-7eee882bdf81" - `nextPage.criterion` (any, required) - `nextPage.pageSize` (integer) The maximum number of items to return in the result set Example: 100 - `nextPage.pageToken` (string,null) The page token to continue a previous search Example: "hds7bs78bbw7v8w" ## Response 4XX fields (application/json): - `timestamp` (string) The datetime that the error occurred in ISO offset format Example: "2021-02-16T16:21:58.640+00:00" - `status` (integer) The HTTP status code of the error Example: 401 - `error` (string) The title of the error Example: "Unauthorized" - `message` (string) A more detailed error message - `path` (string) The path that was called which led to the error Example: "/folder-settings"